using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GDBGArrayList
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Random rand = new Random();
            int r = rand.Next(100);
            DataCollection dataSource = new DataCollection();
            for (int i = 0; i < 6; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString()));
                r = rand.Next(100);
            }

            this.gridDataBoundGrid1.DataSource = dataSource;

            this.gridDataBoundGrid1.EnableAddNew = false;  
            this.gridDataBoundGrid1.DrawCell +=new Syncfusion.Windows.Forms.Grid.GridDrawCellEventHandler(gridDrawCell);

            
        }

        
        private void button1_Click(object sender, EventArgs e)
        {
            DataCollection dataSource = this.gridDataBoundGrid1.DataSource as DataCollection; 
            dataSource.Add(new Data("123", "Category" + 123, "Desc" + 123));
            this.gridDataBoundGrid1.Refresh(); 
        }

        void gridDrawCell(object sender, Syncfusion.Windows.Forms.Grid.GridDrawCellEventArgs e)
        {
            if (e.ColIndex == 2 && e.RowIndex == 0)
            {
                e.Cancel = true;
                e.Renderer.Draw(e.Graphics, e.Bounds, e.RowIndex, e.ColIndex, e.Style);
                e.Graphics.DrawString("**", e.Style.GdipFont, new SolidBrush(Color.Red), e.Bounds);
            }
        }
    }
}